[mythtv-users] Caveats in upgrading from Ubuntu 18.04 + MythTV 29.1 to something newer?

Yann Lehmann aristide at free-it.ch
Tue May 23 15:42:29 UTC 2023


Am 10.03.2023 um 15:00 schrieb Barry Martin:
> 
> 
> One problem you will run into is Ubuntu 22.04 will update MythTV to 
> version 32, or at least it does with the computers here running 
> Frontends.  MythTV will only 'see' one version, so a version 29 will not 
> see a version 32.
> 
>  From my notes to update to Ubuntu 22.04 while staying at MythTV version 
> 31 (hopefully work for your version 29):
> 
> 
> Keep system from upgrading from the desired version. No need to set a 
> specific version.
> 
> |sudo apt-mark hold mythtv-frontend|
> 
> 
> Keep system from upgrading from the desired version. No need to set a 
> specific version.
> 
> sudo apt-mark hold libmyth*
> 
> Had found there were numerous libraries so why the use of the wildcard.
> 
> 
> Then do your OS upgrade.  Quite frankly this isn't foolproof: I had one 
> Frontend going from 18.04 --> 20.04 --> 22.04 (you can only go one 
> version at a time) which didn't like a certain libmyth file, copied 
> (then renamed), did an update/upgrade and it was fine, re-held the file, 
> and the rest of the transition to Jammy Jellyfish went fine.  I have 
> another Frontend which is still complaining about some file not being 
> current and so is stuck at 20.04 -- at least have a couple of years to 
> figure that out!
> 
>

I didn't upgrade but installed a new frontend with Lubuntu 22.04. And 
beneath mythtv-frontend and libmyth, I had to "apt-mark hold" 
mythtv-common too.

Actually, I did a downgrade:

- first install mythtv-frontend that comes with Lubuntu 22.04, aka 
version 32, then remove the packages mythtv-frontend, libmyth and 
mythtv-common without removing dependencies

- then install version 31 of the three above mentioned packages (one 
requires a further package as a dependency, but I can't remember which one)

You can download the packages from here:

https://launchpad.net/~mythbuntu/+archive/ubuntu/31/+build/23217944


More information about the mythtv-users mailing list